import cubeTable from './packages/tablePlugin/index'
import cubeCard from './packages/cardPlugin/index'
import cubeProgress from './packages/progressPlugin/index'
import cubeRank from './packages/rankPlugin/index'
import cubeLinkCard from './packages/linkCardPlugin/index'
import cubeEchart from './packages/echartPlugin/index'
import './assets/base.css'
const components = [
    cubeTable,
    cubeCard,
    cubeProgress,
    cubeRank,
    cubeEchart,
    cubeLinkCard
]
const install = function(Vue, opts = {}) {
    components.map(component => {
      Vue.component(component.name, component);
    })
  }
  
  /* 支持使用标签的方式引入 */
  if (typeof window !== 'undefined' && window.Vue) {
    install(window.Vue);
  }
  
  export default{
    install,
    ...components,
  };
